Skip to content
Permalink
Browse files

Update heroku + travis to python 3.7 (#3240)

* Update heroku + travis to python 3.7

* install libgconf - required by Cypress
  • Loading branch information...
patjouk committed May 28, 2019
1 parent c4b29be commit bcc90383496acaa47dc0c252c5b283d07843f392
Showing with 6 additions and 3 deletions.
  1. +4 −1 .travis.yml
  2. +1 −1 README.md
  3. +1 −1 runtime.txt
@@ -1,7 +1,8 @@
dist: xenial
language: python

python:
- "3.6"
- "3.7"

addons:
postgresql: "9.6"
@@ -60,6 +61,8 @@ matrix:
- name: Percy tests
if: NOT TRAVIS_PULL_REQUEST_BRANCH =~ /^(dependabot\/)/
before_install:
# libgconf is required by cypress
- sudo apt-get install -y libgconf-2-4
- nvm install --lts=carbon
- nvm use --lts=carbon
install:
@@ -33,7 +33,7 @@ If you installed [Python with Homebrew](https://docs.brew.sh/Homebrew-and-Python

### Check your environment

- `python --version` should return 3.6 or higher,
- `python --version` should return 3.7 or higher,
- `pipenv --version` should return 11.10 or higher,
- `invoke --version` should return 0.22.1 or higher.

@@ -1 +1 @@
python-3.6.8
python-3.7.3

0 comments on commit bcc9038

Please sign in to comment.
You can’t perform that action at this time.